Skip to main content
PUT
/
api
/
v0
/
team
/
roles
/
{id}
/
update team role
curl --request PUT \
  --url https://console.vast.ai/api/v0/team/roles/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "permissions": {}
}
'
import requests

url = "https://console.vast.ai/api/v0/team/roles/{id}/"

payload = {
"name": "<string>",
"permissions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', permissions: {}})
};

fetch('https://console.vast.ai/api/v0/team/roles/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"Successfully Updated Team Role For <role_name>"

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

ID of the role to update.

Body

application/json
name
string
required

New name for the role.

permissions
object
required

JSON encoded permissions for the role.

Response

200 - application/json

Successfully updated team role.

The response is of type string.

Example:

"Successfully Updated Team Role For <role_name>"